%define pypi_name poetry-dynamic-versioning
%define srcname poetry_dynamic_versioning

Name:		python-%{pypi_name}
Version:	1.2.0
Release:	%mkrel 1
Summary:	Plugin for Poetry to enable dynamic versioning based on VCS tags
Group:		Development/Python
License:	GPLv2+
URL:		https://pypi.org/project/poetry-dynamic-versioning/
Source0:	%{pypi_source}
BuildArch:	noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)

%description
Python plugin for Poetry 1.2.0+ and Poetry Core 1.0.0+ to enable dynamic
versioning based on tags in your version control system. Many different version
control systems are supported, including Git and Mercurial.

%package -n python3-%{pypi_name}
Summary:	Plugin for Poetry to enable dynamic versioning based on VCS tags
Group:		Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}
Provides:	%{pypi_name} = %{version}-%{release}

%description -n python3-%{pypi_name}
Python plugin for Poetry 1.2.0+ and Poetry Core 1.0.0+ to enable dynamic
versioning based on tags in your version control system. Many different version
control systems are supported, including Git and Mercurial.

%prep
%setup -q -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README*
%{_bindir}/poetry-dynamic-versioning


%changelog
* Mon Dec 25 2023 wally <wally> 1.2.0-1.mga10
+ Revision: 2021491
- imported package python-poetry-dynamic-versioning

